
Redmine - Defect #11066

Can the issue number described in commit message link to related issue only when the specified

keyword prefixed to the issue number?

2012-05-31 13:58 - Peter Wang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.0.0

Description

In our company, there are more than one issue tracking systems

That means the commit messages will be like "Fix AID #1", "BID #2", ...etc

However, the issue ID belongs to other issue tracking system are not the one in the Redmine issue tracking system.

That will lead to that the link in "AID #1" will link to incorrect issue in Redmine issues

Could it be possible to filter this kind of linking from commit messages?

Below is my Redmine info

Environment:

Redmine version                          2.0.1.stable.9733

Ruby version                             1.8.7 (i386-linux)

Rails version                            3.2.3

Environment                              production

Database adapter                         MySQL

Redmine plugins:

no plugin installed

History

#1 - 2012-05-31 19:20 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

In administration -> settings -> repositories, change "Referencing keywords" from * to something like BID. Then only "BID #2" in the commit message

will link the issue to the commit.

#2 - 2012-06-01 04:14 - Peter Wang

- Status changed from Closed to Reopened

- Assignee set to Jean-Philippe Lang

Sorry to reopen it that I still need to clarify something

I know the configuration in "Referencing keywords" can make the commit appears in related Redmine issue page

However, it will still make AID #2, CID #2, ... link to the Redmine issue#2, right?

What I mean is to avoid AID #2, CID #2, ... from linking to Redmine issue#2.

Can 2.0-stable make it possible?

#3 - 2012-06-01 19:57 - Jean-Philippe Lang

- Status changed from Reopened to Closed

1. Are you speaking about commits/issues relations?

2. Or maybe you just don't want that #2 be turned into a link in the commit log display in Redmine?

If 1., there's a test for this (source:trunk/test/unit/changeset_test.rb@9636#L54).

If 2., sorry it's not possible.
